Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
tipedit.php File Reference

Go to the source code of this file.

## Variables
if(isset( $DeleteTips)) if(isSet( $Preview)) if(isset( $TipURL)) | else
if((isSet( $AddImages)) and(is_numeric( $TipID)) and(is_numeric( $TipID))) if( $Action=="Insert") if( $Action=="Update") if( $Action=="Delete") if( $Action=="DeleteTips") | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTipMain", "Language" )
| $ImageDir = $ini->variable( "eZTipMain", "ImageDir" )
| $t
if( $Action=="Edit") | $category = new eZTipCategory()
| $categoryArray = $category->getTree()

## Variable Documentation

## ◆ $category

if ($Action=="Edit") $category = new eZTipCategory()

Definition at line 375 of file tipedit.php.

## ◆ $categoryArray

$categoryArray = $category->getTree()

Definition at line 376 of file tipedit.php.

## ◆ $ImageDir

$ImageDir = $ini->variable( "eZTipMain", "ImageDir" )

Definition at line 287 of file tipedit.php.

## ◆ $ini

if ((isSet($AddImages)) and(is_numeric($TipID)) and(is_numeric($TipID))) if ($Action=="Insert") if ($Action=="Update") if ($Action=="Delete") if ($Action=="DeleteTips") $ini =& eZINI::instance( 'site.ini' )

Definition at line 285 of file tipedit.php.

## ◆ $Language

$Language = $ini->variable( "eZTipMain", "Language" )

Definition at line 286 of file tipedit.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztip/admin/" . $ini->variable( "eZTipMain", "AdminTemplateDir" ),
"kernel/eztip/admin/intl/", $Language, "tipedit.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: tipedit.php:286
$ini
if((isSet( $AddImages)) and(is_numeric( $TipID)) and(is_numeric( $TipID))) if( $Action=="Insert") if( $Action=="Update") if( $Action=="Delete") if( $Action=="DeleteTips") $ini
Definition: tipedit.php:285

Definition at line 289 of file tipedit.php.

## ◆ else

if (isset($DeleteTips)) if (isSet($Preview)) if (isset($TipURL)) else

Initial value:
{
$tipUrl = ""

Definition at line 62 of file tipedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.